#!/usr/bin/python

# $Id: rst2latex.py 5905 2009-04-16 12:04:49Z milde $
# Author: David Goodger <goodger@python.org>
# Copyright: This module has been placed in the public domain.

"""
A minimal front end to the Docutils Publisher, producing LaTeX.
"""

from docutils.writers.latex2e import Writer

from docutils.core import publish_cmdline
import sys


import moderncv

description = ('Generates LaTeX documents from standalone reStructuredText '
               'sources. '
               'Reads from <source> (default is stdin) and writes to '
               '<destination> (default is stdout).  See '
               '<http://docutils.sourceforge.net/docs/user/latex.html> for '
               'the full reference.')

translators = {
      "moderncv": moderncv.configureWriter
    }

# Extract the documentclass from the command line.
documentclass = None
for arg in sys.argv[1:]:
    try:
        command, value = arg.split("=")
        if command == "--documentclass":
            documentclass = value
            break
    except ValueError:
        continue

myWriter = Writer()

translators.get(documentclass, lambda x: None)(myWriter)

publish_cmdline(writer=myWriter, description=description)
